package com.sckw.excel.annotation;

import java.lang.annotation.*;

/**
 * @author lfdc
 * @version v1
 * @create 2020-11-28 15:37:35
 * @copyright 指定枚举类注解进行翻译处理
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface EasyExcel {
    /**
     * 控件类型-指定枚举类翻译
     *
     * @return
     */
    Class<? extends Enum> type();

    /**
     * 默认翻译字段类型-代表字段类型处理 1字符串  2 Integer
     *
     * @return
     */
    int status() default 0;

    /**
     * 是否选择翻译
     *
     * @return
     */
    boolean flag() default true;
}
